Bug 1097415 - python-docker-py missing requires: python-six
Summary: python-docker-py missing requires: python-six
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-docker-py
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-13 18:50 UTC by Chris St. Pierre
Modified: 2014-07-30 07:03 UTC (History)
3 users (show)

Fixed In Version: python-docker-py-0.3.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 19:27:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris St. Pierre 2014-05-13 18:50:20 UTC
Description of problem:

docker-py requires six, but python-six is not listed as a requirement of the package.

Version-Release number of selected component (if applicable):

python-docker-py-0.2.3-8.el6.x86_64
python-docker-py-0.2.3-8.fc19.x86_64

How reproducible:

Always

Steps to Reproduce:
1. yum -y install python-docker-py
2. python -c 'import docker'

Actual results:

$ python -c 'import docker'
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python2.6/site-packages/docker/__init__.py", line 15, in <module>
    from .client import Client, APIError  # flake8: noqa
  File "/usr/lib/python2.6/site-packages/docker/client.py", line 22, in <module>
    import six
ImportError: No module named six


Expected results:

No output.

Additional info:

Comment 2 Fedora Update System 2014-07-13 05:07:44 UTC
python-docker-py-0.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-docker-py-0.3.2-1.fc20

Comment 3 Fedora Update System 2014-07-13 05:14:44 UTC
python-docker-py-0.3.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-docker-py-0.3.2-1.fc19

Comment 4 Fedora Update System 2014-07-13 05:33:50 UTC
python-docker-py-0.3.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-docker-py-0.3.2-1.el6

Comment 5 Fedora Update System 2014-07-13 18:30:09 UTC
Package python-docker-py-0.3.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-docker-py-0.3.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1894/python-docker-py-0.3.2-1.el6
then log in and leave karma (feedback).

Comment 6 lnie 2014-07-14 03:14:32 UTC
Tested with python-docker-py-0.3.2-1.fc20,the requires for python-six is added

Comment 7 Fedora Update System 2014-07-29 19:27:18 UTC
python-docker-py-0.3.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-07-30 06:58:46 UTC
python-docker-py-0.3.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-07-30 07:03:50 UTC
python-docker-py-0.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.